Package org.eclipse.handly.ui.quickoutline

# Class FilteringOutlinePopup.FilteringOutlineTreeViewer

java.lang.Object
org.eclipse.jface.viewers.Viewer
org.eclipse.jface.viewers.ContentViewer
org.eclipse.jface.viewers.StructuredViewer
org.eclipse.jface.viewers.ColumnViewer
org.eclipse.jface.viewers.AbstractTreeViewer
org.eclipse.jface.viewers.TreeViewer
org.eclipse.handly.ui.quickoutline.OutlinePopup.OutlineTreeViewer
org.eclipse.handly.ui.quickoutline.FilteringOutlinePopup.FilteringOutlineTreeViewer

All Implemented Interfaces:
  `org.eclipse.jface.viewers.IInputProvider`, `org.eclipse.jface.viewers.IInputSelectionProvider`, `org.eclipse.jface.viewers.IPostSelectionProvider`, `org.eclipse.jface.viewers.ISelectionProvider`

Enclosing class:
  FilteringOutlinePopup

protected class FilteringOutlinePopup.FilteringOutlineTreeViewer extends OutlinePopup.OutlineTreeViewer
Extends `OutlinePopup.OutlineTreeViewer` to allow expanding any tree item when the pattern-based filter is active.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.eclipse.jface.viewers.StructuredViewer

  `org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollector, org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollectorWithProviders`

- ## Field Summary

  ### Fields inherited from class org.eclipse.jface.viewers.AbstractTreeViewer

  `ALL_LEVELS`

  ### Fields inherited from class org.eclipse.jface.viewers.Viewer

  `WIDGET_DATA_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilteringOutlineTreeViewer(org.eclipse.swt.widgets.Tree tree)`
  Creates a new tree viewer on the given tree control.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canExpand(org.eclipse.swt.widgets.TreeItem item)`
  Returns whether the given tree item can be expanded from `expandXXX` methods.

  ### Methods inherited from class org.eclipse.handly.ui.quickoutline.OutlinePopup.OutlineTreeViewer

  `internalExpandToLevel`

  ### Methods inherited from class org.eclipse.jface.viewers.TreeViewer

  `addTreeListener, assertContentProviderType, createViewerEditor, disassociate, doGetColumnCount, editElement, getChild, getChildren, getColumnViewerOwner, getControl, getExpanded, getItemAt, getItemCount, getItemCount, getItems, getLabelProvider, getParentElement, getParentItem, getRawChildren, getSelection, getTree, getViewerRowFromItem, handleTreeCollapse, handleTreeExpand, hookControl, internalAdd, internalInitializeTree, internalRefreshStruct, isExpandable, mapElement, newItem, remove, removeAll, replace, setChildCount, setContentProvider, setExpanded, setHasChildren, setSelection, setSelection, showItem, updatePlus`

  ### Methods inherited from class org.eclipse.jface.viewers.AbstractTreeViewer

  `add, add, addSelectionListener, addTreeListener, associate, buildLabel, collapseAll, collapseToLevel, contains, createChildren, createTreeItem, doFindInputItem, doFindItem, doUpdateItem, doUpdateItem, expandAll, expandAll, expandToLevel, expandToLevel, expandToLevel, expandToLevel, fireTreeCollapsed, fireTreeExpanded, getAutoExpandLevel, getChildren, getExpandedElements, getExpandedState, getExpandedTreePaths, getNextItem, getPreviousItem, getSelection, getSelectionFromWidget, getSortedChildren, getStructuredSelection, getTreePathFromItem, getVisibleExpandedElements, handleDoubleSelect, indexForElement, inputChanged, insert, internalCollapseToLevel, internalExpand, internalFindItems, internalGetWidgetToSelect, internalIsInputOrEmptyPath, internalRefresh, internalRefresh, internalRefresh, internalRemove, internalRemove, isSameSelection, labelProviderChanged, remove, remove, remove, removeTreeListener, reveal, scrollDown, scrollUp, setAutoExpandLevel, setExpandedElements, setExpandedState, setExpandedTreePaths, setExpandPreCheckFilters, setSelectionToWidget, setSelectionToWidget, updateChildren`

  ### Methods inherited from class org.eclipse.jface.viewers.ColumnViewer

  `applyEditorValue, cancelEditing, checkBusy, firePostSelectionChanged, getCell, getCellEditors, getCellModifier, getColumnProperties, getColumnViewerEditor, getItem, getLabelProvider, getViewerRow, handleDispose, hookEditingSupport, isBusy, isCellEditorActive, isExpandableNode, refresh, refresh, setBusy, setCellEditors, setCellModifier, setColumnProperties, setColumnViewerEditor, setDisplayIncrementally, setLabelProvider, triggerEditorActivationEvent, update, updateSelection`

  ### Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

  `addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, assertElementsNotNull, equals, filter, findItem, findItems, fireDoubleClick, fireOpen, getColorAndFontCollector, getComparator, getComparer, getFilteredChildren, getFilters, getRoot, getSorter, handleInvalidSelection, handleLabelProviderChanged, handleOpen, handlePostSelect, handleSelect, hasFilters, internalUpdate, needsRefilter, preservingSelection, refresh, refresh, refreshItem, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setFilters, setInput, setSorter, setUseHashlookup, testFindItem, testFindItems, unmapAllElements, unmapElement, unmapElement, update, updateItem, usingElementMap`

  ### Methods inherited from class org.eclipse.jface.viewers.ContentViewer

  `getContentProvider, getInput`

  ### Methods inherited from class org.eclipse.jface.viewers.Viewer

  `addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, removeHelpListener, removeSelectionChangedListener, setData, setSelection`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider

  `addSelectionChangedListener, removeSelectionChangedListener, setSelection`

- ## Constructor Details

  - ### FilteringOutlineTreeViewer

    public FilteringOutlineTreeViewer(org.eclipse.swt.widgets.Tree tree)
    Creates a new tree viewer on the given tree control. Sets auto-expand level to `ALL_LEVELS`.
    Parameters:
      `tree` - the tree control (not `null`)

- ## Method Details

  - ### canExpand

    protected boolean canExpand(org.eclipse.swt.widgets.TreeItem item)
    Returns whether the given tree item can be expanded from `expandXXX` methods.

    `OutlineTreeViewer` implementation of this method simply delegates to `OutlinePopup.isAutoExpandable(TreeItem)`. Subclasses may extend.

    `FilteringOutlineTreeViewer` extends this method to allow expanding any tree item when the pattern-based filter is active.

    Overrides:
      `canExpand` in class `OutlinePopup.OutlineTreeViewer`
    Parameters:
      `item` - the tree item (never `null`)
    Returns:
      `true` if the given item can be expanded; `false` if it is to be collapsed